

#reset first
kill @e[type=armor_stand,tag=mission_reach]
kill @e[type=item]

#mission 1
execute if score !stage mission matches 1 run bossbar set mission name {"text":"Reach the mission house","color":"gold"}
execute if score !stage mission matches 1 run tellraw @a {"text":"You can always drop the\nMission Book to see in\nwhat direction to go!","color":"dark_red"}
execute if score !stage mission matches 1 run summon armor_stand 55.51 141.00 -134.68 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
 
execute if score !stage mission matches 2 positioned 55.52 141.00 -134.49 run execute in minecraft:overworld run tp @a[distance=4..] 55.61 141.00 -134.96 -1420.24 9.32

execute if score !stage mission matches 246 run bossbar set mission name {"text":"Find the key","color":"gold"}
execute if score !stage mission matches 246 run tellraw @a[tag=verified] {"text":"[Hint] I think i saw a hole\nin the wall. Maybe i can\nfollow the buttons","color":"light_purple"}
execute if score !stage mission matches 246 run summon armor_stand 17.48 144.00 -221.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_custom","custom_feature"]}
execute if score !stage mission matches 246 run execute at @e[type=armor_stand,tag=pickup_custom] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:tripwire_hook",Count:1b}}

execute if score !stage mission matches 362 run function we:mission_completed

#mission 2
execute if score !stage mission matches 503 run summon horse 60.47 141.00 -134.54 {Glowing:1b,NoAI:1b,PersistenceRequired:1b,Tame:1b,Tags:["friend","race_horse"],Passengers:[{id:"minecraft:pillager",PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Unbreakable:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}},{}]}],SaddleItem:{id:"minecraft:saddle",Count:1b},ArmorItem:{}}
execute if score !stage mission matches 503 run summon armor_stand 60.46 141.00 -134.55 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !stage mission matches 503 run bossbar set mission name {"text":"Follow the horse to its destination, use shortcuts","color":"gold"}
execute if score !stage mission matches 503 run playsound minecraft:entity.horse.gallop ambient @a[tag=verified] 55.72 141.00 -135.10 10 1
execute if score !stage mission matches 503 run effect give @a speed 1000000 5 true
execute if score !stage mission matches 503 run playsound minecraft:music_disc.pigstep ambient @a[tag=verified] ~ ~ ~ 100 1
execute if score !stage mission matches 503 run summon armor_stand 53.54 140.50 -180.48 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 503 run tellraw @a[tag=verified] {"text":"[Hint] They stole the horse again!\nI must follow him to there home.\nI cant let him escape.","color":"light_purple"}
execute if score !stage mission matches 503 run execute in minecraft:overworld run tp @a[tag=verified] 54.00 141.00 -135.18 263.36 2.75

execute if score !stage mission matches 543 run function we:mission_completed

#mission 3
execute if score !stage mission matches 546 run fill 132 125 -96 134 127 -96 minecraft:barrier
execute if score !stage mission matches 546 run item replace entity @s armor.chest with air
execute if score !stage mission matches 546 run execute in minecraft:overworld run tp @a[tag=verified] 130.99 135.00 -92.63 -342.15 26.74
execute if score !stage mission matches 546 run summon villager 132.38 130.06 -91.56 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 141.40 130.06 -89.48 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 146.30 130.06 -95.48 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 146.47 130.56 -106.46 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 143.50 130.00 -102.56 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 146.51 125.00 -107.50 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 147.53 125.00 -92.53 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 139.66 125.00 -91.39 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 129.55 125.00 -87.52 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run summon villager 139.46 130.06 -93.47 {PersistenceRequired:1b,Health:13f,Tags:[hostile]}
execute if score !stage mission matches 546 run bossbar set mission name {"text":"Enter the building through the roof","color":"gold"}

execute if score !stage mission matches 549 run tellraw @a[tag=verified] {"text":"[Hint] I need to leave the area,\nMaybe i can drop the mission\nbook to see where i should hide.","color":"light_purple"}
execute if score !stage mission matches 549 run bossbar set mission name {"text":"Walk to the nearby forest and hide","color":"gold"}
execute if score !stage mission matches 549 run summon armor_stand 67.52 126.00 -141.42 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 550 run function we:mission_completed

#mission 4
execute if score !missions mission matches 4 if score !stage mission matches 600 run tp @e[tag=friend,type=horse] 53.87 141.00 -122.23
execute if score !missions mission matches 4 if score !stage mission matches 600 run tp @a 56.82 141.00 -136.11 29.88 4.53
execute if score !missions mission matches 4 if score !stage mission matches 711 run scoreboard players set !anything mission 20
execute if score !missions mission matches 4 if score !stage mission matches 711 run execute in minecraft:overworld run tp @a[tag=verified] 74.69 124.00 -92.98 259.24 33.24
execute if score !missions mission matches 4 if score !stage mission matches 711 run tellraw @a[tag=verified] {"text":"[Hint] Time to do this shit job.\nI think i press F to clean, i cant\nclean twice at the same spot","color":"light_purple"}
execute if score !missions mission matches 4 if score !stage mission matches 711 run execute in minecraft:overworld run tp @e[tag=friend,type=horse] 78.45 125.06 -92.54 259.24 33.24


#mission 5
execute if score !missions mission matches 5 if score !stage mission matches 711 run summon armor_stand 58.32 141.00 -137.51 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","go_to"]}
execute if score !missions mission matches 5 if score !stage mission matches 711 run tellraw @a[tag=verified] {"text":"[Hint] The gang is coming from the\nnorth side. I think i saw alot of\npistol ammo on the roof too.","color":"light_purple"}
execute if score !missions mission matches 5 if score !stage mission matches 711 run tellraw @a ["",{"text":"The pistol can be\nfound in ","color":"dark_red"},{"text":"slot 1","color":"red"},{"text":"!","color":"dark_red"}]
execute if score !missions mission matches 5 if score !stage mission matches 711 run bossbar set mission name {"text":"Defend the position until the gang is gone","color":"gold"}

#mission 6
execute if score !stage mission matches 1700 run bossbar set mission name {"text":"Look at the ship","color":"gold"}

execute if score !stage mission matches 1761 run tellraw @a[tag=verified] {"text":"[Hint] The pirates may see me if\ni get too close. If i drop the mission\nbook it can show me a good position","color":"light_purple"}
execute if score !stage mission matches 1761 run bossbar set mission name {"text":"Scout the ship from the front","color":"gold"}
execute if score !stage mission matches 1761 run summon minecraft:skeleton 207.49 144.50 -19.50 {Health:10f,Tags:[hostile],PersistenceRequired:1b,NoAI:1b,HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:10s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 1761 run summon minecraft:stray 201.48 147.00 -16.49 {Health:10f,Tags:[hostile],PersistenceRequired:1b,NoAI:1b,HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:10s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 1761 run summon minecraft:pillager 194.51 151.00 -16.43 {Health:10f,Tags:[hostile],PersistenceRequired:1b,NoAI:1b,HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:quick_charge",lvl:4s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 1761 run summon minecraft:pillager 195.43 165.50 -14.42 {Health:10f,Tags:[hostile],PersistenceRequired:1b,NoAI:1b,HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:quick_charge",lvl:4s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 1761 run summon minecraft:skeleton 216.48 158.50 -14.53 {Health:10f,Tags:[hostile],PersistenceRequired:1b,NoAI:1b,HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:10s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 1761 run summon armor_stand 220.10 141.35 -37.19 {Health:10f,Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 1762 run tellraw @a[tag=verified] ["",{"text":"[Hint] If i take out 5 pirates from\na distance it will be easier to\nget onboard later.","color":"light_purple"},{"text":"\n "}]
execute if score !stage mission matches 1762 positioned 220.10 140.35 -37.19 as @a[distance=6..,tag=verified,limit=1] run tp @s 220.10 140.35 -37.19

execute if score !stage mission matches 1764 run tellraw @a[tag=verified] ["",{"text":"[Hint] I think i saw some\ngrenades on the\ncartography table","color":"light_purple"},{"text":"\n "}]
execute if score !stage mission matches 1764 positioned 205.51 142.00 -14.56 as @a[distance=4..,tag=verified,limit=1] run tp @s 205.51 142.00 -14.56

execute if score !stage mission matches 1768 run tellraw @a[tag=verified] {"text":"[Hint] It sounds like there is\npirates in the basement. I\ncould throw a grenade at them.","color":"light_purple"}
execute if score !stage mission matches 1768 run summon minecraft:skeleton 197.47 140.00 -11.46 {Health:10f,Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{},{id:"minecraft:punch",lvl:3s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:leather_helmet",Count:1b}]}
execute if score !stage mission matches 1768 run summon minecraft:drowned 206.55 139.00 -14.46 {Health:10f,Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:trident",Count:1b,tag:{Enchantments:[{id:"minecraft:multishot",lvl:1s},{id:"minecraft:quick_charge",lvl:4s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:leather_helmet",Count:1b}]}
execute if score !stage mission matches 1768 run summon minecraft:zombie 202.46 139.00 -15.46 {Health:10f,Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:golden_sword",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:2s},{id:"minecraft:fire_aspect",lvl:1s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:golden_helmet",Count:1b}]}
execute if score !stage mission matches 1768 run summon minecraft:husk 201.48 139.00 -12.49 {Health:10f,Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:2s},{id:"minecraft:fire_aspect",lvl:1s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:golden_helmet",Count:1b}]}
execute if score !stage mission matches 1768 run setblock 195 141 -14 minecraft:redstone_torch[lit=true]

execute if score !stage mission matches 1771 run function we:mission_completed

#mission 8
execute if score !stage mission matches 1900 run bossbar set mission name {"text":"Talk with Alex","color":"gold"}

#mission 9
execute if score !stage mission matches 2100 run summon armor_stand 92.49 133.00 -30.52 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !stage mission matches 2100 run bossbar set mission name {"text":"Scout the body guard house from the roof of the nearest house","color":"gold"}

execute if score !stage mission matches 2101 run execute in minecraft:overworld run tp @a[tag=verified] 94.62 133.00 -33.82 -676.17 9.84
execute if score !stage mission matches 2101 run tellraw @a[tag=verified] {"text":"[Hint] I must use my sniper for this\ntask. I think the cameras is on the\nhouse in the south-west side of me.","color":"light_purple"}
execute if score !stage mission matches 2101 run bossbar set mission name {"text":"Use your sniper to shoot the black cameras","color":"gold"}

execute if score !stage mission matches 2106 run bossbar set mission name {"text":"Sneak inside the house and steal the paper","color":"gold"}
execute if score !stage mission matches 2106 run execute in minecraft:overworld run tp @a[tag=verified] 80.40 119.50 -5.05 -277.36 -14.45
execute if score !stage mission matches 2106 run summon armor_stand 59.55 129.88 -4.52 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_custom","custom_feature"]}
execute if score !stage mission matches 2106 run execute at @e[type=armor_stand,tag=pickup_custom] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:paper",Count:1b}}
execute if score !stage mission matches 2106 run tellraw @a[tag=verified] {"text":"[Hint] I think the paper is on the\nsecond floor. I must stay away from\nthe guards so they dont hear me.","color":"light_purple"}
execute if score !stage mission matches 2106 run tellraw @a {"text":"Hold Shift to sneak\nand make less noice!","color":"dark_red"}

execute if score !stage mission matches 2108 run bossbar set mission name {"text":"Escape the area","color":"gold"}

#mission 10
execute if score !stage mission matches 2200 run bossbar set mission name {"text":"Read the description of the target that is in the lectern","color":"gold"}
execute if score !stage mission matches 2200 run setblock 188 143 -232 lectern[facing=west,has_book=true]{Book:{id:"minecraft:written_book",Count:1b,tag:{title:"Hitman Target",author:"Zombie1111",generation:0,pages:['["",{"text":"-------------------","color":"dark_blue"},{"text":"\\n","color":"reset"},{"text":"Hitman target ","color":"black"},{"text":"\\n","color":"reset"},{"text":"Helmet: Red\\nChestplate: Gray\\nLeggings: Blue\\nBoots: Brown","color":"dark_gray"},{"text":"\\n","color":"reset"},{"text":"-------------------","color":"dark_blue"},{"text":"\\n","color":"reset"},{"text":"Do you accept the deal?","color":"gold"},{"text":"\\n","color":"reset"},{"text":"[Accept]","color":"dark_green","clickEvent":{"action":"run_command","value":"/trigger Next_Stage set 1000"}},{"text":" ","color":"blue"},{"text":"[Deny]","color":"dark_red","clickEvent":{"action":"run_command","value":"/trigger Next_Stage set 1001"}},{"text":"\\n","color":"reset"},{"text":"-------------------","color":"dark_blue"},{"text":"\\n ","color":"reset"}]']}},Page:0} replace
execute if score !stage mission matches 2200 run setblock 188 143 -231 lectern[facing=west,has_book=true]{Book:{id:"minecraft:written_book",Count:1b,tag:{title:"Hitman Target",author:"Zombie1111",generation:0,pages:['["",{"text":"-------------------","color":"dark_blue"},{"text":"\\n","color":"reset"},{"text":"Hitman target ","color":"black"},{"text":"\\n","color":"reset"},{"text":"Helmet: Red\\nChestplate: Gray\\nLeggings: Blue\\nBoots: Brown","color":"dark_gray"},{"text":"\\n","color":"reset"},{"text":"-------------------","color":"dark_blue"},{"text":"\\n","color":"reset"},{"text":"Do you accept the deal?","color":"gold"},{"text":"\\n","color":"reset"},{"text":"[Accept]","color":"dark_green","clickEvent":{"action":"run_command","value":"/trigger Next_Stage set 1000"}},{"text":" ","color":"blue"},{"text":"[Deny]","color":"dark_red","clickEvent":{"action":"run_command","value":"/trigger Next_Stage set 1001"}},{"text":"\\n","color":"reset"},{"text":"-------------------","color":"dark_blue"},{"text":"\\n ","color":"reset"}]']}},Page:0} replace

execute if score !stage mission matches 2203 run summon piglin_brute 123.56 126.00 -211.49 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["fake_pos"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:13774040}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:13774040}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:4342338}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16711680}}}]}
execute if score !stage mission matches 2203 run summon piglin_brute 126.53 126.00 -212.48 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["fake_pos"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:6569484}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:16711680}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:16711680}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16711680}}}]}
execute if score !stage mission matches 2203 run summon piglin_brute 130.85 126.00 -211.23 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["fake_pos"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:4342338}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:1129412}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:4342338}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16711680}}}]}
execute if score !stage mission matches 2203 run summon piglin_brute 128.38 126.00 -211.56 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["fake_pos"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:1129412}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:6569484}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:16711680}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:6569484}}}]}
execute if score !stage mission matches 2203 run summon piglin_brute 124.47 130.00 -214.19 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["fake_pos"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:4342338}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:13774040}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:16711680}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:6569484}}}]}
execute if score !stage mission matches 2203 run summon piglin_brute 130.53 130.00 -214.44 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["target_stand"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:6569484}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:1129412}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:4342338}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:16711680}}}]}
execute if score !stage mission matches 2203 run summon piglin_brute 127.49 130.00 -214.51 {PersistenceRequired:1b,NoAI:1b,IsImmuneToZombification:1b,Tags:["fake_pos"],ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:6569484}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:6569484}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:4342338}}},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:1129412}}}]}
execute if score !stage mission matches 2203 run summon armor_stand 181.49 163.00 -201.48 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !stage mission matches 2203 run tellraw @a[tag=verified] {"text":"[Hint] There may be some items\ni can take in the tower. I dont\nwant to miss stuff on the way up","color":"light_purple"}
execute if score !stage mission matches 2203 run bossbar set mission name {"text":"Climb to the top of the tower","color":"gold"}

execute if score !stage mission matches 2204 run execute in minecraft:overworld run tp @a[tag=verified] 182.30 162.50 -202.13 103.57 36.93
execute if score !stage mission matches 2204 run tellraw @a[tag=verified] {"text":"[Hint] I can change my FOV to\nzoom in. I think the target is on\nthe second floor, just a feeling.","color":"light_purple"}
execute if score !stage mission matches 2204 run bossbar set mission name {"text":"Use your sniper to snipe the correct person","color":"gold"}

execute if score !stage mission matches 2206 run function we:mission_completed

#mission 11
execute if score !stage mission matches 2300 run tellraw @a[tag=verified] {"text":"[Hint] I need to beat these two puzzels.\nMaybe there should be a clear path\nbetween all sea lanterns. No open path to\nthe magma blocks or block that blocks the\npath. Then just lit both lamps at same time.","color":"light_purple"}
execute if score !stage mission matches 2300 positioned 200.98 114.06 -113.66 run tp @a[distance=6..] 200.98 114.06 -113.66

#mission 12

#mission 13

#mission 14
execute if score !stage mission matches 2900 run tellraw @a[tag=verified] {"text":"[Hint] Time to shoot all lanterns with\nyellow particles below them. The gang may\nsee me if i get too close to the edge","color":"light_purple"}
execute if score !stage mission matches 2900 run scoreboard players set !anything mission 16

#mission 15
execute if score !stage mission matches 3000 run tellraw @a[tag=verified] {"text":"[Hint] I can plant the sticky bombs\ni previously got under the train\nbridge.","color":"light_purple"}
execute if score !stage mission matches 3000 run summon armor_stand 50 111 1 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 3000 run summon armor_stand 49 111 1 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}

execute if score !stage mission matches 3002 run execute in minecraft:overworld run tp @a[tag=verified] 66.30 114.06 -40.88 27.32 2.87
execute if score !stage mission matches 3002 run tellraw @a[tag=verified] {"text":"[Hint] I think i drop the sticky bomb\nto trigger them. I must focus on the\nbridge and trigger at right time","color":"light_purple"}
execute if score !stage mission matches 3002 run bossbar set mission name {"text":"Trigger the bombs when the minecarts are visible","color":"gold"}
execute if score !stage mission matches 3002 run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["fake_pos","mission_cart"]}
execute if score !stage mission matches 3002 run schedule function we:set_fail_death 5s replace
#execute if score !stage mission matches 3002 run summon chest_minecart 36.00 114.13 1.51 {CustomDisplayTile:1b,DisplayOffset:2,Tags:["fake_pos","mission_cart"],DisplayState:{Name:"minecraft:tnt"},Motion:[0.2,0.1,0.0]}
#execute if score !stage mission matches 3002 run summon chest_minecart 34.00 114.13 1.48 {CustomDisplayTile:1b,DisplayOffset:2,Tags:["fake_pos"],DisplayState:{Name:"minecraft:tnt"},Motion:[0.2,0.1,0.0]}
#execute if score !stage mission matches 3002 run summon chest_minecart 32.00 114.13 1.48 {CustomDisplayTile:1b,DisplayOffset:2,Tags:["fake_pos"],DisplayState:{Name:"minecraft:tnt"},Motion:[0.2,0.1,0.0]}

execute if score !stage mission matches 3008 run execute in minecraft:overworld run tp @a[tag=verified,distance=6..] 55.16 141.00 -134.58 -348.75 4.45

#mission 16
execute if score !stage mission matches 3100 run scoreboard players set !level mission 21
execute if score !stage mission matches 3100 run function we:save_game
execute if score !stage mission matches 3100 run execute in minecraft:overworld run tp @a[tag=verified,distance=3..] 212.56 200.00 -207.46 -254.01 17.76
execute if score !stage mission matches 3100 run playsound minecraft:music_disc.mellohi ambient @a ~ ~ ~ 1000 2
execute if score !stage mission matches 3100 run summon armor_stand 159.48 184.50 -222.49 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !stage mission matches 3100 run tellraw @a[tag=verified] {"text":"[Hint] Time to glide through two\nballoon rings and then land on\nthe orange truck on the road","color":"light_purple"}
execute if score !stage mission matches 3100 run bossbar set mission name {"text":"Use elytra to Glide through Light Blue balloon ring","color":"gold"}

#mission 17

#mission 18
execute if score !stage mission matches 3300 run bossbar set mission name {"text":"Place a sticky bomb at the red dot","color":"gold"}
execute if score !stage mission matches 3300 run tellraw @a[tag=verified] {"text":"[Hint] There may be a sticky bomb\ni can take in the nearby rose bush","color":"light_purple"}
execute if score !stage mission matches 3300 run summon armor_stand 53 121.5 -113 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}

execute if score !stage mission matches 3303 run bossbar set mission name {"text":"You are the turret. Shoot eveything you see","color":"gold"}
execute if score !stage mission matches 3303 run tellraw @a[tag=verified] {"text":"[Hint] Im the turrent. I can just\nstand still and shoot all living things\ni see. Cant let anyone escape","color":"light_purple"}
execute if score !stage mission matches 3303 run summon skeleton 29.49 120.00 -109.45 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:1s}]}},{}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !stage mission matches 3303 run summon skeleton 31.44 120.00 -110.36 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:1s}]}},{}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !stage mission matches 3303 run summon armor_stand 33.45 120.00 -108.43 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","move_to"]}
execute if score !stage mission matches 3303 run summon armor_stand 50.90 120.00 -109.01 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","player_pos"]}

#mission 19
execute if score !stage mission matches 3500 run bossbar set mission name {"text":"Get to the weak part of the wall","color":"gold"}
execute if score !stage mission matches 3500 run summon armor_stand 231.53 131.50 -200.53 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 3501 run bossbar set mission name {"text":"Place a sticky bomb at the red dot in the cave entrance","color":"gold"}
execute if score !stage mission matches 3501 run tellraw @a[tag=verified] ["",{"text":"[Hint] I think i just walked past\nthe red dot. I may go back and\ntake a quick look in the cave","color":"light_purple"},{"text":"\n "}]
execute if score !stage mission matches 3501 run summon armor_stand 231 131 -200 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}

execute if score !stage mission matches 3505 run tellraw @a[tag=verified] ["",{"text":"[Hint] Time to pickup a lot of\nemeralds. They seems to be a\nbit everywhere in this area","color":"light_purple"},{"text":"\n "}]
execute if score !stage mission matches 3505 at @e[type=item_frame,tag=mission19_frame] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_custom","custom_feature"]}
execute if score !stage mission matches 3505 run execute at @e[type=armor_stand,tag=pickup_custom] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Glowing:1b,Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:emerald",Count:1b}}

execute if score !stage mission matches 3507 run tellraw @a[tag=verified] ["",{"text":"[Hint] I think a Shotgun can be very\npowerful in this type of battle","color":"light_purple"},{"text":"\n "}]
execute if score !stage mission matches 3507 run execute in minecraft:overworld run tp @a[tag=verified] 213.15 126.00 -185.06 1.57 9.41

#mission 20
execute if score !stage mission matches 3608 run bossbar set mission name {"text":"Talk to alex","color":"gold"}
execute if score !stage mission matches 3608 positioned 54.49 141.00 -133.57 run tp @a[tag=verified,distance=6..] 54.49 141.00 -133.57

#mission 21

#mission 22
execute if score !stage mission matches 3800 run bossbar set mission name {"text":"Get to the top of the light house","color":"gold"}
execute if score !stage mission matches 3800 run summon armor_stand 159.50 160.48 9.00 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 3801 run bossbar set mission name {"text":"Place a sticky bomb at the red dot","color":"gold"}
execute if score !stage mission matches 3801 run summon armor_stand 159 159 9 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}

execute if score !stage mission matches 3803 run tellraw @a ["",{"text":"[Hint] If i remember correctly\ni just drop the sticky bomb to\ntrigger it","color":"light_purple"},{"text":"\n "}]
execute if score !stage mission matches 3803 run bossbar set mission name {"text":"Trigger the sticky bomb","color":"gold"}

#mission 23
execute if score !stage mission matches 3902 run tellraw @a ["",{"text":"[Hint] They will hear me if i jump. But","color":"light_purple"},{"text":"\nluckly these guards are really dumb\nso i can get very close before they\nsee me. I may be able to kill them\nundetected if i attack from behind.","color":"light_purple"}]
execute if score !stage mission matches 3902 run bossbar set mission name {"text":"Find a safe way to the vault, tip kill pillagers from behind","color":"gold"}
execute if score !stage mission matches 3902 run summon armor_stand 199.20 124.00 -206.52 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 3903 run tellraw @a {"text":"[Hint] I think there is a Note Block behind\nthe tnts. When i play a note the guard will\nstart walking and if i wait behind the tnts\nuntil the guard have walked by i should be\nable to get inside the vault undetected.","color":"light_purple"}
execute if score !stage mission matches 3903 run bossbar set mission name {"text":"Find a way to distract the guard, tip Note Block","color":"gold"}


#mission 24
execute if score !stage mission matches 4000 run bossbar set mission name {"text":"Reach the look out point","color":"gold"}
execute if score !stage mission matches 4000 run tellraw @a {"text":"[Hint] The look out point seems\nto be on top of the trees. I\nshould probably climb the ladder","color":"light_purple"}
execute if score !stage mission matches 4000 run summon armor_stand 23.57 149.00 -185.37 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4001 run execute in minecraft:overworld run tp @a[tag=verified] 23.89 150.00 -186.57 10.42 42.71
execute if score !stage mission matches 4001 run tellraw @a {"text":"[Hint] I just need to shoot the black\ncamera from the tree","color":"light_purple"}
execute if score !stage mission matches 4001 run bossbar set mission name {"text":"Shoot the black security camera","color":"gold"}

execute if score !stage mission matches 4038 run tellraw @a {"text":"[Hint] I may need to drop the\nsticky bomb to trigger them","color":"light_purple"}
execute if score !stage mission matches 4038 run bossbar set mission name {"text":"Trigger the sticky bombs","color":"gold"}

#mission 25

#mission 26
execute if score !stage mission matches 4300 run bossbar set mission name {"text":"Place a sticky bomb at the red dot","color":"gold"}
execute if score !stage mission matches 4300 run tellraw @a {"text":"[Hint] I may be able to breath\nif i stay above the magma block","color":"light_purple"}
execute if score !stage mission matches 4300 run summon armor_stand 174.51 113.00 -9.54 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}

execute if score !stage mission matches 4306 run bossbar set mission name {"text":"Pickup the supplies","color":"gold"}
execute if score !stage mission matches 4306 run tellraw @a {"text":"[Hint] Lets take the supplies. They\nmust be hidden somewhere inside\nthe vault.","color":"light_purple"}
execute if score !stage mission matches 4306 run summon armor_stand 138.53 99.00 -21.47 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_custom","custom_feature"]}
execute if score !stage mission matches 4306 run execute at @e[type=armor_stand,tag=pickup_custom] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:ender_chest",Count:1b}}

#mission 27
#execute if score !stage mission matches 4591 run function we:mission_27_sub
#execute if score !stage mission matches 4591 run summon armor_stand 59.05 119.00 -66.13 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4591 run function we:mission_27_sub
execute if score !stage mission matches 4591 run tellraw @a ["",{"text":"[Hint] One step closer, ","color":"light_purple"},{"text":"the mission\nbook can always help you find the\nnext checkpoint if you drop it!!!!","italic":true,"color":"light_purple"}]
execute if score !stage mission matches 4591 run summon armor_stand 98.63 119.00 -58.37 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4592 run function we:mission_27_sub
execute if score !stage mission matches 4592 run tellraw @a {"text":"[Hint] I must keep going, i soon\nbe there.","color":"light_purple"}
execute if score !stage mission matches 4592 run summon armor_stand 151.34 119.00 -63.21 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4592 run scoreboard players set !level mission 36
execute if score !stage mission matches 4592 run function we:save_game
execute if score !stage mission matches 4593 run function we:mission_27_sub
execute if score !stage mission matches 4593 run tellraw @a {"text":"[Hint] I will not give up","color":"light_purple"}
execute if score !stage mission matches 4593 run summon armor_stand 163.58 119.00 -111.69 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4594 run function we:mission_27_sub
execute if score !stage mission matches 4594 run tellraw @a {"text":"[Hint] Not too much left now,\ni must keep on going forward","color":"light_purple"}
execute if score !stage mission matches 4594 run summon armor_stand 156.86 119.00 -176.90 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4595 run function we:mission_27_sub
execute if score !stage mission matches 4595 run tellraw @a {"text":"[Hint] I can feel the way out.\njust a tiny bit left.","color":"light_purple"}
execute if score !stage mission matches 4595 run summon armor_stand 165.87 119.00 -237.22 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

execute if score !stage mission matches 4596 run kill @e[tag=talk_stand_text]
execute if score !stage mission matches 4596 run tellraw @a {"text":"[Hint] Nooo, they have blocked\nthe road, GoodBye World........","color":"light_purple"}
execute if score !stage mission matches 4596 run summon pillager 163.53 119.00 -231.45 {NoAI:1b,NoGravity:1b,Silent:0b,Invulnerable:1b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-160f,10f],HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:tnt",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !stage mission matches 4596 at @e[tag=talk_stand] positioned ~ ~1.9 ~ run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["talk_stand_text"]}


#reset last
playsound minecraft:entity.player.levelup ambient @a ~ ~ ~ 10 2
scoreboard players add !stage mission 1
function we:give_items




