

#run ones
execute if score !fail_timer other matches -1 as @a[tag=verified] at @s run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["failed_location"]}
execute if score !fail_timer other matches -1 as @a[tag=verified] at @s run summon armor_stand ^ ^ ^0.1 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["failed_rotation"]}
execute if score !fail_timer other matches -1 run clear @a
#execute if score !fail_timer other matches -1 run effect give @a minecraft:blindness 2 0 true
execute if score !fail_timer other matches -1 run scoreboard players set @a title_timer 0
execute if score !fail_timer other matches -1 as @e[tag=friend] run data merge entity @s {NoAI:1b,NoGravity:1b,Invulnerable:1b,Silent:1b} 
execute if score !fail_timer other matches -1 as @e[tag=hostile] run data merge entity @s {NoAI:1b,NoGravity:1b,Invulnerable:1b,Silent:1b} 
execute if score !fail_timer other matches -1 as @e[tag=random_mob] run data merge entity @s {NoAI:1b,NoGravity:1b,Invulnerable:1b,Silent:1b} 
execute if score !fail_timer other matches -1 run playsound minecraft:entity.iron_golem.death ambient @a ~ ~ ~ 100 0
execute if score !fail_timer other matches -1 run stopsound @a * music_disc.pigstep
execute if score !fail_timer other matches -1 run scoreboard players set @a fancy_tp_delay 60
execute if score !fail_timer other matches -1 run title @a clear
execute if score !fail_timer other matches -1 run stopsound @a * music_disc.mellohi
execute if score !fail_timer other matches -1 run scoreboard players set !fail_timer other 40
execute if score !fail_timer other matches 1 run playsound minecraft:block.anvil.land ambient @a ~ ~ ~ 100 2

#while failed
execute if score !fail_timer other matches 1.. as @a[tag=verified] if entity @s[nbt={Inventory:[{Slot:-106b}]}] run stopsound @a * entity.iron_golem.death
execute if score !fail_timer other matches 1.. as @a[tag=verified] if entity @s[nbt={Inventory:[{Slot:-106b}]}] run scoreboard players set !fail_timer other 2
execute if score !fail_timer other matches 1.. as @a[tag=verified] if entity @s[nbt={Inventory:[{Slot:-106b}]}] run function we:give_items
execute if score !fail_timer other matches 1.. as @a[tag=verified] if entity @s[nbt={Inventory:[{Slot:-106b}]}] run item replace entity @a weapon.offhand with air
execute as @a[tag=verified] at @s run function we:give_items
effect give @a slow_falling 4 1 true
effect give @a fire_resistance 4 255 true
effect give @a resistance 4 255 true
effect give @a invisibility 1 0 true

execute as @a[tag=verified,gamemode=!spectator] at @s at @e[tag=failed_location,sort=nearest,limit=1] run tp @s ~ ~ ~ facing entity @e[tag=failed_rotation,sort=nearest,limit=1]
item replace entity @s armor.head with carved_pumpkin 1
execute if score !fail_timer other matches ..0 if score !inmission mission matches 1.. run title @s title {"text":"Mission Failed","color":"dark_red"}
execute if score !fail_timer other matches ..0 if score !inmission mission matches ..0 run title @s title {"text":"Something went wrong","color":"dark_red"}
execute if score !fail_timer other matches ..0 run title @s actionbar ["",{"text":"Press ","color":"gold"},{"text":"F","color":"yellow"},{"text":" to continue","color":"gold"}]
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 1 run title @s subtitle {"text":"You died","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 2 run title @s subtitle {"text":"The mission was abandoned","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 3 run title @s subtitle {"text":"You had a suspicious Behavior","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 4 run title @s subtitle {"text":"Your team got hurt","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 5 run title @s subtitle {"text":"The target were lost","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 6 run title @s subtitle {"text":"You didnt follow the target","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 7 run title @s subtitle {"text":"A villager escaped","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 8 run title @s subtitle {"text":"You didnt one hit kill the villager","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 9 run title @s subtitle {"text":"The enemy got too close","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 10 run title @s subtitle {"text":"You didn't follow the request","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 11 run title @s subtitle {"text":"The horse were left behind","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 12 run title @s subtitle {"text":"The position was abandoned","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 13 run title @s subtitle {"text":"You got too close to the area","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 14 run title @s subtitle {"text":"Drowned","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 15 run title @s subtitle {"text":"You where the loser","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 16 run title @s subtitle {"text":"You entered a restricted area","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 17 run title @s subtitle {"text":"You touched the ground","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 18 run title @s subtitle {"text":"You made too much noice","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 19 run title @s subtitle {"text":"You missed a shot","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 20 run title @s subtitle {"text":"Incorrect target was hit","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 21 run title @s subtitle {"text":"The target was alerted","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 22 run title @s subtitle {"text":"The alarm got triggered","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 23 run title @s subtitle {"text":"Your team got too far away","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 24 run title @s subtitle {"text":"You committed Suicide","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 25 run title @s subtitle {"text":"A bomb was planted at incorrect position","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 26 run title @s subtitle {"text":"The bomb was not triggered","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 27 run title @s subtitle {"text":"You missed too many shots","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 28 run title @s subtitle {"text":"The target was not eliminated in time","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 29 run title @s subtitle {"text":"UnZombified","color":"red"}
execute if score !fail_timer other matches ..0 if score !fail_reason other matches 30 run title @s subtitle {"text":"The mobs over flooded the area","color":"red"}
execute if score !fail_timer other matches ..0 if entity @s[nbt={Inventory:[{Slot:-106b}]}] run scoreboard players set !disable_fail_timer other 20
execute if score !fail_timer other matches ..0 if entity @s[nbt={Inventory:[{Slot:-106b}]}] run scoreboard players set !fail_timer other -2
execute if score !fail_timer other matches ..0 if entity @s[nbt={Inventory:[{Slot:-106b}]}] run scoreboard players set !fail_reason other -1
execute if score !fail_timer other matches ..0 if entity @s[nbt={Inventory:[{Slot:-106b}]}] run title @a clear
execute if score !fail_timer other matches ..0 if entity @s[nbt={Inventory:[{Slot:-106b}]}] run function we:load_game
title @s times 0 50 20
execute if score !fail_timer other matches 1.. run scoreboard players remove !fail_timer other 1







