



#set pvp mode
execute if score !pvp_mode other matches 1.. run team modify players friendlyFire true
execute if score !pvp_mode other matches ..0 run team modify players friendlyFire false

#unlock infinit items if X missions dragon_egg
execute if score !missions mission matches 3.. run scoreboard players set !other_unlock pl_items 1
execute if score !missions mission matches 4.. run scoreboard players set !other_unlock pl_items 2

#all missions
scoreboard players set @a[tag=verified] jump 0
scoreboard players set @a ring_bell 0
bossbar set mission players @a
tag @a remove mission_zombie

#load mission 1, level 1
execute if score !level mission matches 1 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:cooked_beef",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 1 run summon armor_stand 60.76 125.50 -191.56 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 1 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 1
execute if score !level mission matches 1 run bossbar set mission name {"text":"Drop the Mission Book to see where to go!","color":"gold"}

#level 2
execute if score !level mission matches 2 run scoreboard players set !unused mission 0
execute if score !level mission matches 2 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:cooked_beef",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 2 run summon armor_stand 22.63 141.00 -238.54 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 2 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 2
execute if score !level mission matches 2 run scoreboard players set !stage mission 246
execute if score !level mission matches 2 run bossbar set mission name {"text":"Behave normal and find a way to the horse garage","color":"gold"}
execute if score !level mission matches 2 run tellraw @a[tag=verified] {"text":"[Hint] I may be able to use\nthe trapdoor on the tree\nto crawl under the fence","color":"light_purple"}
execute if score !level mission matches 2 run tellraw @a {"text":"Behave normal often means\nyou cant sneak and jump!","color":"dark_red"}

#load mission 2, level 3
execute if score !level mission matches 3 run summon villager 53.54 141.00 -124.53 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-171f,10f],HandItems:[{id:"minecraft:cooked_beef",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 3 run bossbar set mission name {"text":"Talk to alex","color":"gold"}
execute if score !level mission matches 3 as @a[tag=verified,tag=!ignore03674] run scoreboard players set @s tp_location 3

#level 4
execute if score !level mission matches 4 run summon villager 53.54 141.00 -124.53 {CustomName:'{"text":"Good bye","color":"gray"}',CustomNameVisible:1b,NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-171f,10f],HandItems:[{id:"minecraft:cooked_beef",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 4 run summon armor_stand 54.48 141.00 -135.47 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 4 run bossbar set mission name {"text":"Leave the mission house","color":"gold"}
execute if score !level mission matches 4 run scoreboard players set @a[tag=verified] tp_location 4

#level 5
execute if score !level mission matches 5 run tellraw @a[tag=verified] {"text":"[Hint] I got to there home. Now\ni can kill all of them. They may\nalso have items i can steal.","color":"light_purple"}
execute if score !level mission matches 5 run summon armor_stand 180.51 125.00 -122.504 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !level mission matches 5 run summon horse 180.51 125.00 -122.504 {NoAI:1b,PersistenceRequired:1b,Tame:1b,Tags:["friend","race_horse"],Passengers:[{id:"minecraft:pillager",PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Unbreakable:1b,Enchantments:[{id:"minecraft:multishot",lvl:1s}]}},{}]}],SaddleItem:{id:"minecraft:saddle",Count:1b},ArmorItem:{}}
execute if score !level mission matches 5 run summon zombie 183.62 125.00 -106.60 {PersistenceRequired:1b,Tags:["hostile"],ArmorItems:[{},{},{},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:7220251},Unbreakable:1b}}]}
execute if score !level mission matches 5 run summon pillager 184.56 129.00 -110.37 {HandItems:[{id:"minecraft:crossbow",Count:1b},{}],PersistenceRequired:1b,Tags:["hostile"],ArmorItems:[{},{},{},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:7220251},Unbreakable:1b}}]}
execute if score !level mission matches 5 run summon wither_skeleton 189.57 125.00 -113.58 {HandItems:[{id:"minecraft:stone_sword",Count:1b},{}],PersistenceRequired:1b,Tags:["hostile"],ArmorItems:[{},{},{},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:7220251},Unbreakable:1b}}]}
execute if score !level mission matches 5 run summon skeleton 184.52 129.00 -106.64 {HandItems:[{id:"minecraft:bow",Count:1b},{}],PersistenceRequired:1b,Tags:["hostile"],ArmorItems:[{},{},{},{id:"minecraft:leather_helmet",Count:1b,tag:{display:{color:7220251},Unbreakable:1b}}]}
execute if score !level mission matches 5 run summon armor_stand 189.48 125.00 -114.53 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand"]}
execute if score !level mission matches 5 run scoreboard players set @a[tag=verified] tp_location 5
execute if score !level mission matches 5 run scoreboard players set !stage mission 541
execute if score !level mission matches 5 run bossbar set mission name {"text":"Terminate the gang","color":"gold"}

#load mission 3, level 6
execute if score !level mission matches 6 run time set day
execute if score !level mission matches 6 run bossbar set mission name {"text":"Pickup the elytra and axe","color":"gold"}
execute if score !level mission matches 6 as @a[tag=verified,tag=!ignore03674] run scoreboard players set @s tp_location 6
execute if score !level mission matches 6 run summon armor_stand 71.48 160.00 -66.47 {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_custom","custom_feature"]}
execute if score !level mission matches 6 run execute at @e[type=armor_stand,tag=pickup_custom] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:elytra",Count:1b}}

#load mission 4, level 7
execute if score !level mission matches 7 run time set day
execute if score !level mission matches 7 run bossbar set mission name {"text":"Go to the mission house","color":"gold"}
execute if score !level mission matches 7 run tellraw @a {"text":"[Hint ] If i drop the mission book\nit can help me locate the\nmission house","color":"light_purple"}
execute if score !level mission matches 7 run summon villager 51.53 141.00 -126.56 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:cooked_beef",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 7 run summon armor_stand 54.44 141.00 -132.41 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 7 run summon horse 53.51 141.00 -125.56 {PersistenceRequired:1b,Tame:1b,Tags:["friend"],Attributes:[{Name:generic.movement_speed,Base:0.5}],SaddleItem:{id:"minecraft:saddle",Count:1b},ArmorItem:{}}
execute if score !level mission matches 7 as @a[tag=verified,tag=!ignore03674] run scoreboard players set @s tp_location 8


#load mission 5, level 8
execute if score !level mission matches 8 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:cooked_beef",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 8 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 7
execute if score !level mission matches 8 run bossbar set mission name {"text":"Talk with Alex!","color":"gold"}

#load mission 6, level 9
execute if score !level mission matches 9 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 9
execute if score !level mission matches 9 run bossbar set mission name {"text":"Scout the ship from nearby the house!","color":"gold"}
execute if score !level mission matches 9 run summon armor_stand 212.44 147.00 -70.45 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#level 10
execute if score !level mission matches 10 run tag @a add ignore972348
execute if score !level mission matches 10 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 10
execute if score !level mission matches 10 run setblock 195 141 -14 minecraft:air
execute if score !level mission matches 10 run summon boat 205.48 141.00 -19.54 {Invulnerable:1b,Type:"dark_oak",Tags:["target_stand"]}
execute if score !level mission matches 10 run bossbar set mission name {"text":"Go to the dock of the ship!","color":"gold"}

#load mission 7, level 11
execute if score !level mission matches 11 run summon phantom 180.50 182.50 -162.46 {Size:2,Invulnerable:1b,NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,Tags:["friend","hostile"],Rotation:[160f,10f],HandItems:[{id:"minecraft:elytra",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 11 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 11
execute if score !level mission matches 11 run bossbar set mission name {"text":"Reach the open cargo door!","color":"gold"}
execute if score !level mission matches 11 run tellraw @a[tag=verified] {"text":"[Hint] I know that the large cargo\ndoor always is in the back of the\nplane. So much cargo in the way...","color":"light_purple"}
execute if score !level mission matches 11 run scoreboard players set !anything mission 0
execute if score !level mission matches 11 run summon armor_stand 176.50 181.50 -162.52 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#load mission 8, level 12
execute if score !level mission matches 12 run summon villager 24.53 141.00 11.00 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-100f,10f],HandItems:[{id:"minecraft:book",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 12 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 12
execute if score !level mission matches 12 run tellraw @a[tag=verified] {"text":"[Hint] I may find some heal\npotions next to the campfire.\nThey could be useful soon...","color":"light_purple"}
execute if score !level mission matches 12 run bossbar set mission name {"text":"Exit the tent!","color":"gold"}
execute if score !level mission matches 12 run summon armor_stand 26.41 141.00 10.20 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#load mission 9, level 13
execute if score !level mission matches 13 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 13
execute if score !level mission matches 13 run bossbar set mission name {"text":"Reach the house that is for sale!","color":"gold"}
execute if score !level mission matches 13 run tellraw @a[tag=verified] {"text":"[Hint] If i drop the mission book\nit may show me where the house\nis located.","color":"light_purple"}
execute if score !level mission matches 13 run summon armor_stand 100.46 123.50 -38.53 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 13 run summon armor_stand 69.50 128.51 -6.51 {Tags:[target_stand],Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b}
execute if score !level mission matches 13 run summon armor_stand 66.48 128.50 -9.50 {Tags:[target_stand],Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b}

#load mission 10, level 14
execute if score !level mission matches 14 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 14
execute if score !level mission matches 14 run bossbar set mission name {"text":"Go to the lectern!","color":"gold"}
execute if score !level mission matches 14 run summon armor_stand 189.17 143.00 -231.01 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#load mission 11, level 15
execute if score !level mission matches 15 run setblock 186 108 -127 minecraft:redstone_block
execute if score !level mission matches 15 run scoreboard players set !anything mission 4
execute if score !level mission matches 15 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 15
execute if score !level mission matches 15 run bossbar set mission name {"text":"Get to the vault, its located in the underground tunnels!","color":"gold"}
execute if score !level mission matches 15 run tellraw @a[tag=verified] {"text":"[Hint] I can drop the mission book to\nsee where the vault is. I think there\nis an entrance near the timber truck","color":"light_purple"}
execute if score !level mission matches 15 run summon armor_stand 200.98 114.06 -113.66 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#load mission 12, level 16
execute if score !level mission matches 16 run fill 116 128 -121 128 124 -112 minecraft:barrier replace minecraft:air
execute if score !level mission matches 16 run time set night
execute if score !level mission matches 16 run summon villager 122.44 128.50 -115.67 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-100f,10f],HandItems:[{id:"minecraft:bricks",Count:1b},{id:"minecraft:stick",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 16 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 16
execute if score !level mission matches 16 run bossbar set mission name {"text":"Talk to Zombie1111","color":"gold"}

#load mission 13, level 17
execute if score !level mission matches 17 run summon armor_stand 243.49 143.00 3.46 {NoGravity:1b,Silent:0b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["target_stand","fake_pos"]}
execute if score !level mission matches 17 run tellraw @a[tag=verified] {"text":"[Hint] I need to defend this old guy.\nMaybe i can drink the potion he has\non the chest and use the axe.","color":"light_purple"}
execute if score !level mission matches 17 run summon wandering_trader 243.49 143.00 3.46 {Offers:{},NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[145f,10f],HandItems:[{id:"minecraft:emerald",Count:1b},{id:"minecraft:emerald",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 17 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 17
execute if score !level mission matches 17 run bossbar set mission name {"text":"Talk with the trader","color":"gold"}

#load mission 14, level 18
execute if score !level mission matches 18 run setblock 142 121 -233 minecraft:redstone_block
execute if score !level mission matches 18 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 18
execute if score !level mission matches 18 run bossbar set mission name {"text":"Overview the truck from the bridge","color":"gold"}
execute if score !level mission matches 18 run tellraw @a[tag=verified] {"text":"[Hint] There may be some items\ni can take. The mission book can\nalso show me where the bridge is","color":"light_purple"}
execute if score !level mission matches 18 run summon armor_stand 160.49 124.50 -229.52 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#load mission 15, level 19
#execute if score !level mission matches 19 run summon horse 74.42 110.00 -37.87 {PersistenceRequired:1b,Tags:["friend"],Attributes:[{Name:horse.jump_strength,Base:1.0},{Name:generic.movement_speed,Base:0.5}],Tame:1b,SaddleItem:{id:"minecraft:saddle",Count:1b},ArmorItem:{}}
execute if score !level mission matches 19 run setblock 38 103 -3 minecraft:redstone_block
execute if score !level mission matches 19 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 19
execute if score !level mission matches 19 run tellraw @a[tag=verified] {"text":"[Hint] If i drop the mission book\nit will show me in what direction\nthe train bridge is in.","color":"light_purple"}
execute if score !level mission matches 19 run bossbar set mission name {"text":"Reach the train bridge","color":"gold"}
execute if score !level mission matches 19 run summon armor_stand 47.46 106.09 -0.56 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 19 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:crossbow",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}

#load mission 16, level 20
execute if score !level mission matches 20 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 20
execute if score !level mission matches 20 run time set night
execute if score !level mission matches 20 run tellraw @a[tag=verified] {"text":"[Hint] There seems to be a lot of\nsnipers on the mountain but also\na lot of items to take. I can drop\nthe mission book to see where the\ntop is. I just need to find a way up","color":"light_purple"}
execute if score !level mission matches 20 run setblock 205 171 -202 minecraft:spruce_sign[rotation=3,waterlogged=false]{Color:"black",Text4:'{"text":"---------------"}',Text3:'{"text":"-->"}',Text2:'{"text":"This way"}',Text1:'{"text":"---------------"}'}
execute if score !level mission matches 20 run summon skeleton 191.47 148.00 -197.41 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 199.42 164.00 -204.47 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 208.44 174.00 -200.52 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 224.51 173.00 -201.47 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 216.46 192.00 -207.42 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 216.54 177.00 -211.42 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 201.49 157.00 -209.56 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 207.51 182.00 -205.52 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 184.51 139.00 -194.50 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 221.59 179.00 -206.51 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 203.49 171.00 -206.51 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 194.45 148.00 -206.48 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 212.54 200.00 -207.44 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon skeleton 208.40 171.00 -199.48 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 20 run summon armor_stand 212.53 202.00 -207.45 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 20 run bossbar set mission name {"text":"Climb to the very top of the large mountain","color":"gold"}

#load level, 21
execute if score !level mission matches 21 run time set night
execute if score !level mission matches 21 run summon armor_stand 212.53 202.00 -207.45 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 21 run summon skeleton 212.53 200.00 -207.47 {PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:bow",Count:1b},{id:"minecraft:bow",Count:1b}],Attributes:[{Name:generic.movement_speed,Base:0.0}]}
execute if score !level mission matches 21 run bossbar set mission name {"text":"Climb to the very top of the large mountain","color":"gold"}
execute if score !level mission matches 21 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 21

#load mission 17, level 22
execute if score !level mission matches 22 run time set night
execute if score !level mission matches 22 run tellraw @a[tag=verified] {"text":"[Hint] I can practice my aim by\nsniping different glowing targets.\nI saw some ammo in the helicopter","color":"light_purple"}
execute if score !level mission matches 22 run scoreboard players set !anything mission 1000
execute if score !level mission matches 22 run scoreboard players set !unused mission 30
execute if score !level mission matches 22 run summon villager 114.49 124.00 -40.44 {NoGravity:1b,PersistenceRequired:1b,NoAI:1b,Tags:["hostile"]}
execute if score !level mission matches 22 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 22

#load mission 18, level 23
execute if score !level mission matches 23 run bossbar set mission name {"text":"Get to the hidden side of the hotel","color":"gold"}
execute if score !level mission matches 23 run tellraw @a[tag=verified] {"text":"[Hint] I think there is a lot of items i\ncan take next to the hotel. I can drop\nthe mission book to see where the\nhidden side is.","color":"light_purple"}
execute if score !level mission matches 23 run summon armor_stand 55.52 121.00 -112.48 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 23 run setblock 47 114 -115 minecraft:redstone_block
execute if score !level mission matches 23 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 23

#load mission 19, level 24
execute if score !level mission matches 24 run setblock 228 127 -204 minecraft:redstone_block
execute if score !level mission matches 24 run tellraw @a[tag=verified] ["",{"text":"[Hint] The guards may see me if i\nget too close to the bank, i also\nthink i saw some food on the nearby\nbirch tree. If i drop the mission book\nit can show me where the cave is.","color":"light_purple"},{"text":"\n "}]
execute if score !level mission matches 24 run bossbar set mission name {"text":"Reach the cave","color":"gold"}
execute if score !level mission matches 24 run summon armor_stand 237.43 124.50 -191.41 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 24 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 24

#load level 25
execute if score !level mission matches 25 run scoreboard players set !stage mission 3506
execute if score !level mission matches 25 run scoreboard players set !anything mission 0
execute if score !level mission matches 25 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 25

#load mission 20, level 26
execute if score !level mission matches 26 run scoreboard players set !anything mission 10000
execute if score !level mission matches 26 run tellraw @a {"text":"[Hint] I can drop the mission book to find the\ntarget. When im holding the mission book i can\nsee in my actionbar the distance to the target.\nIf i dont stay 40 blocks away i may be seen. I\nthink i must you my sniper to take out all targets.","color":"light_purple"}
execute if score !level mission matches 26 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:emerald",Count:1b},{id:"minecraft:emerald",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 26 run summon villager 130.52 128.50 -159.55 {NoGravity:1b,Glowing:1b,CustomNameVisible:1b,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","mission_reach"],CustomName:'{"text":"Target","color":"red","bold":true,"italic":true}'}
execute if score !level mission matches 26 run bossbar set mission name ["",{"text":"Assassinate the target, stay 40 blocks away! ","color":"gold"},{"text":"XYZ[","color":"gray"},{"text":"130 128 -160","color":"white"},{"text":"] TIME[","color":"gray"},{"score":{"name":"!anything","objective":"mission"},"color":"white"},{"text":"]","color":"gray"}]
execute if score !level mission matches 26 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 26

#load level 27
execute if score !level mission matches 27 if score !sniper_count pl_items matches ..4 run scoreboard players set !sniper_count pl_items 15
execute if score !level mission matches 27 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:emerald",Count:1b},{id:"minecraft:emerald",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 27 run scoreboard players set !anything mission 5000
execute if score !level mission matches 27 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 27

#load mission 21, level 28
execute if score !level mission matches 28 run tellraw @a {"text":"[Hint] Im only allowed to use the\nshotgun. But i think i saw some\ngrenades behind the black car.","color":"light_purple"}
execute if score !level mission matches 28 run summon hoglin 159.94 119.00 -71.12 {CannotBeHunted:1b,Health:100f,IsImmuneToZombification:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["hostile","main_boss"],Health:50f,Attributes:[{Name:"generic.follow_range",Base:24},{Name:"generic.movement_speed",Base:0.4},{Name:"generic.attack_damage",Base:5}]}
execute if score !level mission matches 28 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 28
execute if score !level mission matches 28 run bossbar set mission name {"text":"Kill the pig boss, use shotgun","color":"gold"}

#load mission 22, level 29
execute if score !level mission matches 29 run time set night
execute if score !level mission matches 29 run tellraw @a {"text":"[Hint] I can drop the mission book to\nsee where the light house is. It may also\nbe a lot of items i can take near the area","color":"light_purple"}
execute if score !level mission matches 29 run summon zombie 154.88 142.50 10.50 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:netherite_hoe",Count:1b},{}],ArmorItems:[{},{},{id:"minecraft:leather_chestplate",Count:1b,tag:{Unbreakable:1b}},{id:"minecraft:chainmail_helmet",Count:1b,tag:{Unbreakable:1b}}]}
execute if score !level mission matches 29 run summon skeleton 147.30 143.00 11.75 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:3s},{id:"minecraft:punch",lvl:1s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:golden_helmet",Count:1b,tag:{Unbreakable:1b}}]}
execute if score !level mission matches 29 run summon vindicator 159.69 142.00 10.81 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:wooden_axe",Count:1b},{}]}
execute if score !level mission matches 29 run summon husk 159.72 147.00 10.79 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:netherite_hoe",Count:1b,tag:{Enchantments:[{id:"minecraft:fire_aspect",lvl:1s}]}},{}],ArmorItems:[{},{},{id:"minecraft:leather_chestplate",Count:1b,tag:{Unbreakable:1b}},{id:"minecraft:chainmail_helmet",Count:1b,tag:{Unbreakable:1b}}]}
execute if score !level mission matches 29 run summon stray 158.30 153.00 10.30 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:3s},{id:"minecraft:punch",lvl:1s}]}},{}],ArmorItems:[{},{},{},{id:"minecraft:golden_helmet",Count:1b,tag:{Unbreakable:1b}}]}
execute if score !level mission matches 29 run summon pillager 160.70 159.00 9.300 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{}]}},{}]}
execute if score !level mission matches 29 run summon wither_skeleton 154.53 143.00 7.380 {PersistenceRequired:1b,Tags:["hostile","guard"],HandItems:[{id:"minecraft:stone_sword",Count:1b,tag:{Enchantments:[{}]}},{}]}
execute if score !level mission matches 29 run summon villager 167.46 148.00 -61.83 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 170.46 146.00 -61.54 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 168.85 142.00 -64.31 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 164.67 142.00 -65.43 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 166.40 141.50 -68.27 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 169.10 141.50 -66.97 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 170.10 141.50 -69.20 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 172.24 142.00 -65.49 {Glowing:1b,Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 173.29 141.50 -68.52 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 177.65 142.00 -65.89 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 179.94 141.50 -68.06 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 182.30 142.00 -64.78 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 184.59 141.50 -67.55 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 172.47 141.00 -70.42 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run summon villager 164.45 141.50 -69.70 {Health:10f,PersistenceRequired:1b,NoAI:1b,Tags:["hostile","person"]}
execute if score !level mission matches 29 run setblock 155 139 7 minecraft:redstone_block
execute if score !level mission matches 29 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 29
execute if score !level mission matches 29 run bossbar set mission name {"text":"Reach the light house","color":"gold"}
execute if score !level mission matches 29 run summon armor_stand 157.25 143.00 10.44 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}

#load mission 23, level 30
execute if score !level mission matches 30 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 30
execute if score !level mission matches 30 run tellraw @a {"text":"[Hint] I need to find a way to get\ninside the bunker. I can shoot the\nfence to make the anvil fall. I think\nthe bunker is in the south direction.","color":"light_purple"}
execute if score !level mission matches 30 run bossbar set mission name {"text":"Shoot the dark oak fence to drop the anvil","color":"gold"}
execute if score !level mission matches 30 run fill 205 123 -220 203 123 -218 minecraft:polished_blackstone_slab[type=top]
execute if score !level mission matches 30 run setblock 242 146 -201 minecraft:dark_oak_fence[east=false,north=false,south=false,waterlogged=false,west=false]
execute if score !level mission matches 30 run setblock 242 145 -201 minecraft:anvil[facing=west]
execute if score !level mission matches 30 run setblock 242 144 -201 minecraft:barrier
execute if score !level mission matches 30 run setblock 242 141 -202 minecraft:iron_trapdoor[facing=south,half=bottom,open=false,powered=false,waterlogged=false]
execute if score !level mission matches 30 run setblock 242 141 -201 minecraft:iron_trapdoor[facing=north,half=bottom,open=false,powered=false,waterlogged=false]
execute if score !level mission matches 30 run setblock 243 141 -201 minecraft:iron_trapdoor[facing=south,half=bottom,open=false,powered=false,waterlogged=false]
execute if score !level mission matches 30 run setblock 242 141 -200 minecraft:iron_trapdoor[facing=south,half=bottom,open=false,powered=false,waterlogged=false]
execute if score !level mission matches 30 run setblock 241 141 -201 minecraft:iron_trapdoor[facing=south,half=bottom,open=false,powered=false,waterlogged=false]
execute if score !level mission matches 30 run fill 243 124 -200 241 125 -202 minecraft:air
execute if score !level mission matches 30 run summon pillager 242.55 124.00 -223.37 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-719.770f, 0.610f],Tags:["hostile"]}
execute if score !level mission matches 30 run summon pillager 227.73 124.00 -211.58 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-449.630f, -0.71f],Tags:["hostile"]}
execute if score !level mission matches 30 run summon pillager 223.51 124.00 -221.62 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-899.440f, 2.260f],Tags:["hostile"]}
execute if score !level mission matches 30 run summon pillager 212.51 124.00 -225.60 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-1619.52f, 1.030f],Tags:["hostile"]}
execute if score !level mission matches 30 run summon pillager 208.38 124.00 -216.41 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-629.910f, -0.24f],Tags:["hostile","mission_window"]}
execute if score !level mission matches 30 run summon pillager 197.52 124.00 -218.45 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-358.720f, 0.930f],Tags:["hostile"]}
execute if score !level mission matches 30 run summon pillager 201.55 124.00 -216.54 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-991.180f, 0.660f],Tags:["hostile"]}
execute if score !level mission matches 30 run summon pillager 207.50 124.00 -206.43 {HandItems:[{id:"minecraft:crossbow",Count:1b},{id:"minecraft:shield",Count:1b}],Health:1f,NoAI:1b,PersistenceRequired:1b,Rotation:[-265.07f, 3.53f],Tags:["hostile","mission_walk"]}

#load mission 24, level 31
execute if score !level mission matches 31 run summon villager 53.54 141.00 -130.87 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-156f,10f],HandItems:[{id:"minecraft:emerald",Count:1b},{id:"minecraft:emerald",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 31 run setblock 10 139 -193 minecraft:redstone_block
execute if score !level mission matches 31 run fill 20 142 -180 20 144 -180 minecraft:iron_block
execute if score !level mission matches 31 run fill 19 142 -181 19 144 -182 minecraft:iron_block
execute if score !level mission matches 31 run setblock 21 143 -183 minecraft:polished_blackstone_button[face=wall,facing=east,powered=false]
execute if score !level mission matches 31 run tellraw @a {"text":"[Hint] I can drop the mission book\nto see where the hidden ladder is.\nI may also find items to take later on.....","color":"light_purple"}
execute if score !level mission matches 31 run bossbar set mission name {"text":"Get to the hidden ladder","color":"gold"}
execute if score !level mission matches 31 run summon armor_stand 25.51 142.00 -194.95 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 31 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 31

#load mission 25, level 32
execute if score !level mission matches 32 run tag @a[tag=verified,gamemode=!spectator,sort=random,limit=1] add mission_zombie
execute if score !level mission matches 32 run time set day
execute if score !level mission matches 32 run tellraw @a {"text":"[Hint] I have a nightmare that im a zombie.\nA zombie cant stay in sun light for too\nlong or touch diorite stairs. But i must get\nto the blackstone rock, i can drop the\nmission book to see where it is.","color":"light_purple"}
execute if score !level mission matches 32 run scoreboard players set !anything mission 100
execute if score !level mission matches 32 run summon armor_stand 244.54 152.00 -237.55 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 32 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 32

#load mission 26, level 33
execute if score !level mission matches 33 run tellraw @a {"text":"[Hint] If i drop the mission book it\nmay show me where the bunker is.\nI think it is somewhere underwater","color":"light_purple"}
execute if score !level mission matches 33 run summon villager 155.02 141.50 -54.96 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-25f,10f],HandItems:[{id:"minecraft:trident",Count:1b},{id:"minecraft:trident",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 33 run setblock 173 114 -10 minecraft:iron_bars[east=false,north=true,south=true,waterlogged=true,west=false]
execute if score !level mission matches 33 run bossbar set mission name {"text":"Reach the entrance to the bunker","color":"gold"}
execute if score !level mission matches 33 run summon armor_stand 174.56 113.00 -9.50 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 33 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 33
execute if score !level mission matches 33 run fill 152 127 -12 152 125 -14 minecraft:lever[face=wall,facing=east,powered=false] replace minecraft:lever
execute if score !level mission matches 33 run setblock 145 98 -20 minecraft:end_rod[facing=up]
execute if score !level mission matches 33 run setblock 145 98 -21 minecraft:end_rod[facing=south]
execute if score !level mission matches 33 run setblock 145 99 -21 minecraft:end_rod[facing=down]
execute if score !level mission matches 33 run setblock 145 99 -20 minecraft:end_rod[facing=north]
execute if score !level mission matches 33 run fill 144 98 -21 144 99 -20 minecraft:iron_block
execute if score !level mission matches 33 run fill 150 127 -14 150 125 -12 minecraft:redstone_wall_torch[facing=west,lit=true] replace minecraft:redstone_wall_torch

#load level 34
execute if score !level mission matches 34 run summon drowned 150.26 113.00 -8.950 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon drowned 150.05 113.00 -18.45 {Health:2f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:trident",Count:1b},{}]}
execute if score !level mission matches 34 run summon drowned 157.05 113.00 -14.50 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon drowned 160.44 119.00 -21.44 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon drowned 161.50 124.06 -10.75 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon guardian 153.46 124.00 -8.350 {Health:10f,PersistenceRequired:1b,Tags:["hostile"]}
execute if score !level mission matches 34 run summon pufferfish 166.70 124.00 -7.520 {Health:10f,PersistenceRequired:1b,Tags:["hostile"]}
execute if score !level mission matches 34 run summon pufferfish 145.78 113.00 -1.840 {Health:10f,PersistenceRequired:1b,Tags:["hostile"]}
execute if score !level mission matches 34 run summon drowned 144.03 113.00 -12.04 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon drowned 138.20 113.00 -6.650 {Health:2f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:trident",Count:1b},{}]}
execute if score !level mission matches 34 run summon guardian 138.84 108.00 -17.70 {Health:10f,PersistenceRequired:1b,Tags:["hostile"]}
execute if score !level mission matches 34 run summon drowned 150.70 108.00 -18.30 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon guardian 146.10 113.00 7.7700 {Health:10f,PersistenceRequired:1b,Tags:["hostile"]}
execute if score !level mission matches 34 run summon pufferfish 153.54 113.00 9.7300 {Health:10f,PersistenceRequired:1b,Tags:["hostile"]}
execute if score !level mission matches 34 run summon guardian 153.87 113.00 3.3100 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon drowned 162.57 113.00 10.200 {Health:2f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:trident",Count:1b},{}]}
execute if score !level mission matches 34 run summon drowned 163.26 113.00 0.8600 {Health:10f,PersistenceRequired:1b,Tags:["hostile"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{},{},{id:"minecraft:diamond_helmet",Count:1b}]}
execute if score !level mission matches 34 run summon villager 155.02 141.50 -54.96 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[-25f,10f],HandItems:[{id:"minecraft:trident",Count:1b},{id:"minecraft:trident",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 34 run setblock 145 98 -20 minecraft:end_rod[facing=up]
execute if score !level mission matches 34 run setblock 145 98 -21 minecraft:end_rod[facing=south]
execute if score !level mission matches 34 run setblock 145 99 -21 minecraft:end_rod[facing=down]
execute if score !level mission matches 34 run setblock 145 99 -20 minecraft:end_rod[facing=north]
execute if score !level mission matches 34 run fill 150 127 -14 150 125 -12 minecraft:redstone_wall_torch[facing=west,lit=true] replace minecraft:redstone_wall_torch
execute if score !level mission matches 34 run fill 144 98 -21 144 99 -20 minecraft:iron_block
execute if score !level mission matches 34 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 34
execute if score !level mission matches 34 run fill 152 127 -12 152 125 -14 minecraft:lever[face=wall,facing=east,powered=false] replace minecraft:lever

#load mission 27, level 35
execute if score !level mission matches 35 run setblock 17 119 -57 minecraft:air
execute if score !level mission matches 35 run fill 73 115 -53 75 116 -53 minecraft:barrier replace minecraft:air
execute if score !level mission matches 35 run fill 73 115 -57 75 116 -71 minecraft:barrier replace minecraft:air
execute if score !level mission matches 35 run fill 73 116 -75 75 119 -75 minecraft:barrier replace minecraft:air
execute if score !level mission matches 35 run fill 76 115 -74 76 117 -72 minecraft:barrier replace minecraft:air

execute if score !level mission matches 35 run fill 12 119 -53 128 131 -53 minecraft:barrier replace minecraft:air
execute if score !level mission matches 35 run fill 12 119 -52 128 131 -52 minecraft:barrier replace minecraft:air
execute if score !level mission matches 35 run fill 12 119 -75 127 130 -75 minecraft:barrier replace air
execute if score !level mission matches 35 run fill 12 119 -76 127 130 -76 minecraft:barrier replace air
execute if score !level mission matches 35 run bossbar set mission name {"text":"Talk with alex","color":"gold"}
execute if score !level mission matches 35 run summon villager 17.43 119.00 -56.62 {NoAI:1b,NoGravity:1b,Silent:1b,Invulnerable:0b,PersistenceRequired:1b,Tags:["talk_stand","friend"],Rotation:[132f,10f],HandItems:[{id:"minecraft:compass",Count:1b},{id:"minecraft:compass",Count:1b}],ArmorItems:[{id:"minecraft:netherite_boots",Count:1b},{id:"minecraft:netherite_leggings",Count:1b},{id:"minecraft:netherite_chestplate",Count:1b},{id:"",Count:1b}],}
execute if score !level mission matches 35 if entity @a[tag=seen_start_text] run scoreboard players set !stage mission 4589
execute if score !level mission matches 35 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 35

#load level 36
execute if score !level mission matches 36 run setblock 17 119 -57 minecraft:air
execute if score !level mission matches 36 run fill 73 115 -53 75 116 -53 minecraft:barrier replace minecraft:air
execute if score !level mission matches 36 run fill 73 115 -57 75 116 -71 minecraft:barrier replace minecraft:air
execute if score !level mission matches 36 run fill 73 116 -75 75 119 -75 minecraft:barrier replace minecraft:air
execute if score !level mission matches 36 run fill 76 115 -74 76 117 -72 minecraft:barrier replace minecraft:air

execute if score !level mission matches 36 run fill 12 119 -53 128 131 -53 minecraft:barrier replace minecraft:air
execute if score !level mission matches 36 run fill 12 119 -52 128 131 -52 minecraft:barrier replace minecraft:air
execute if score !level mission matches 36 run fill 12 119 -75 127 130 -75 minecraft:barrier replace air
execute if score !level mission matches 36 run fill 12 119 -76 127 130 -76 minecraft:barrier replace air
execute if score !level mission matches 36 run scoreboard players set !stage mission 4593
execute if score !level mission matches 36 run summon armor_stand 151.34 119.00 -63.21 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !level mission matches 36 run scoreboard players set @a[tag=verified,tag=!ignore03674] tp_location 36

#always
fill 25 141 -237 25 143 -239 minecraft:iron_block
execute at @e[tag=talk_stand] positioned ~ ~1.9 ~ run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["talk_stand_text"]}
tag @a[tag=verified] remove ignore03674

