





#always
execute if score !stage mission matches 2021..2022 run item replace entity @a[tag=verified] armor.chest with elytra
execute if score !stage mission matches 2021..2022 run effect give @a resistance 1 255 true

#talk
execute if score !stage mission matches 1901 if entity @a[tag=seen_start_text,limit=1] run scoreboard players set !stage mission 2020
execute if score !stage mission matches 1901 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"Now we have enough info","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 1941 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"to raid the cargo plane","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 1981 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"This is not an easy task","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 2021 run data merge entity @e[type=armor_stand,tag=talk_stand_text,limit=1] {CustomName:'{"text":"Use your elytra to fly to it","color":"gray"}',CustomNameVisible:1b}
execute if score !stage mission matches 2021 run tag @s add seen_start_text
execute if score !stage mission matches 2021 run bossbar set mission name {"text":"Fly to the cargo plane","color":"gold"}
execute if score !stage mission matches 2021 run tellraw @a[tag=verified] {"text":"[Hint] Lets raid the cargo plane!\nI can drop the mission book to\nsee in what direction i should fly","color":"light_purple"}
execute if score !stage mission matches 2021 run summon armor_stand 182.49 183.00 -160.52 {Tags:[mission_reach],CustomNameVisible:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,CustomName:'{"text":"Reach","color":"dark_purple","bold":true,"italic":true,"underlined":true}'}
execute if score !stage mission matches 2021 run tellraw @a ["",{"text":"Press ","color":"dark_red"},{"text":"F","color":"red"},{"text":" to boost while flying","color":"dark_red"}]

execute if score !stage mission matches 1901..2021 run tp @s ~ ~ ~ facing entity @e[tag=talk_stand,limit=1]
execute if score !stage mission matches 1901..2021 run scoreboard players add !stage mission 1

execute if score !stage mission matches 2023 run execute in minecraft:overworld positioned 182.62 183.00 -160.50 run tp @a[tag=verified,distance=5..] 182.62 183.00 -160.50 274.73 1.32
execute if score !stage mission matches 2023 run tellraw @a[tag=verified] {"text":"[Hint] I can drop my pistol to toggle\nbetween machine gun. I may also\nfind some items to take in the plane.","color":"light_purple"}
execute if score !stage mission matches 2023 run clear @a[tag=verified]
execute if score !stage mission matches 2023 as @a[tag=verified] at @s run function we:give_items
execute if score !stage mission matches 2023 run summon minecraft:zombie 188.36 183.00 -160.31 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 2023 run summon zombie 201.51 183.00 -163.37 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:netherite_sword",Count:1b},{}],ArmorItems:[{},{},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 2023 run summon skeleton 206.43 183.00 -157.59 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:6s}]}},{}],ArmorItems:[{},{},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 2023 run summon pillager 196.49 183.00 -157.48 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{id:"minecraft:multishot",lvl:1s}]}},{}],ArmorItems:[{},{id:"minecraft:iron_leggings",Count:1b},{},{id:"minecraft:iron_helmet",Count:1b}]}
execute if score !stage mission matches 2023 run summon wither_skeleton 194.49 183.00 -163.55 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:golden_sword",Count:1b},{}],ArmorItems:[{},{id:'minecraft:iron_leggings',Count:1b},{},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon husk 205.46 183.00 -163.46 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:diamond_sword",Count:1b},{}],ArmorItems:[{},{},{id:"minecraft:iron_chestplate",Count:1b},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon stray 211.56 183.00 -157.56 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:power",lvl:6s}]}},{}],ArmorItems:[{},{},{id:"minecraft:iron_chestplate",Count:1b},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon vindicator 217.55 183.00 -157.52 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:stone_axe",Count:1b},{}],ArmorItems:[{},{id:"minecraft:iron_leggings",Count:1b},{},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon zombie 216.53 183.00 -163.48 {Tags:[hostile],PersistenceRequired:1b,ArmorItems:[{},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon pillager 222.55 183.00 -157.52 {Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{id:"minecraft:multishot",lvl:1s}]}},{}],ArmorItems:[{},{},{id:"minecraft:iron_leggings",Count:1b},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon vindicator 229.59 186.00 -159.62 {HandItems:[{id:"minecraft:iron_axe",Count:1b},{}],ArmorItems:[{},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon piglin 234.30 186.00 -160.48 {IsImmuneToZombification:1b,Tags:[hostile],PersistenceRequired:1b,HandItems:[{id:"minecraft:crossbow",Count:1b,tag:{Enchantments:[{id:"minecraft:multishot",lvl:1s}]}},{}],ArmorItems:[{},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:'minecraft:iron_helmet',Count:1b}]}
execute if score !stage mission matches 2023 run summon minecraft:witch 189.48 183.00 -163.53
execute if score !stage mission matches 2023 run scoreboard players add !stage mission 1
#redo 216 184 -163

#the plane
execute if score !stage mission matches 2024 run scoreboard players set !anything mission 0
execute if score !stage mission matches 2024 as @e[tag=hostile] run scoreboard players add !anything mission 1
execute if score !stage mission matches 2024 run bossbar set mission name ["",{"text":"Defeat all FBI agents, Left: ","color":"gold"},{"score":{"name":"!anything","objective":"mission"},"color":"gold"}]
execute if score !stage mission matches 2024 unless entity @e[tag=hostile] run bossbar set mission name {"text":"Search for the sniper rifle in the cockpit","color":"gold"}
execute if score !stage mission matches 2024 unless entity @e[tag=hostile] run scoreboard players add !stage mission 1

execute if score !stage mission matches 2025 if score !sniper_count pl_items matches 1.. run tellraw @a[tag=verified] {"text":"[Hint] If i get on top of the plane,\ni can jump from the north\nwing and land in the water.","color":"light_purple"}
execute if score !stage mission matches 2025 if score !sniper_count pl_items matches 1.. run bossbar set mission name {"text":"Jump down from the plane and land in the water","color":"gold"}
execute if score !stage mission matches 2025 if score !sniper_count pl_items matches 1.. run scoreboard players add !stage mission 1

#execute if score !stage mission matches 2026 if block ~ ~ ~ water run function we:mission_completed
execute if score !stage mission matches 2026 if block ~ ~-1 ~ quartz_bricks if entity @s[y=0,dy=178] run function we:mission_completed

#fail
execute if score !stage mission matches 2024..2025 if entity @s[y=0,dy=178] run scoreboard players set !fail_reason other 2
execute if score !stage mission matches 2026 if block ~ ~-0.1 ~ grass_block run scoreboard players set !fail_reason other 10








