





#other
#mission 7
execute if score !stage mission matches 1843..1856 if score !inmission mission matches 1.. run effect give @s resistance 1 255 true
execute if score !stage mission matches 1843..1856 if score !inmission mission matches 1.. run summon creeper ^ ^ ^-1 {Tags:[mission_creeper],NoGravity:1b,ExplosionRadius:2b,Fuse:2,ignited:1b,Silent:1b}

#mission 8
execute if score !stage mission matches 2022 if score !inmission mission matches 1.. if entity @s[nbt={OnGround:0b}] run effect give @s resistance 1 255 true
execute if score !stage mission matches 2022 if score !inmission mission matches 1.. if entity @s[nbt={OnGround:0b}] run summon creeper ^ ^ ^-1 {Tags:[mission_creeper],NoGravity:1b,ExplosionRadius:2b,Fuse:2,ignited:1b,Silent:1b}

#pickup any
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=!pickup_secret,limit=1] run playsound minecraft:entity.item.pickup ambient @a 49.32 142.87 -124.00 10 0
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=!pickup_secret,limit=1] run particle minecraft:totem_of_undying ~ ~1.2 ~ 0.3 0.5 0.3 0.2 30 force @a

#pickup mission custom
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_custom,limit=1] run function we:mission_pickup

#tips message pickup first time
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_grand,limit=1] if score !grand_count pl_items matches ..-1 run tellraw @a ["",{"text":"Granade can be found\nin ","color":"dark_red"},{"text":"slot 6","color":"red"},{"text":". ","color":"dark_red"},{"text":"Drop granade","color":"red"},{"text":"\n"},{"text":"to toggle granade type","color":"dark_red"}]
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_heal,limit=1] if score !heal_count pl_items matches ..-1 run tellraw @a ["",{"text":"Potions can be found\nin ","color":"dark_red"},{"text":"slot 7. Drop potion","color":"red"},{"text":"\n"},{"text":"to toggle between heal\nand strenght potion.","color":"dark_red"}]
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_power,limit=1] if score !power_count pl_items matches ..-1 run tellraw @a ["",{"text":"Potions can be found\nin ","color":"dark_red"},{"text":"slot 7. Drop potion","color":"red"},{"text":"\n"},{"text":"to toggle between heal\nand strenght potion.","color":"dark_red"}]

#pick up secret
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_secret,limit=1] run scoreboard players add !secrets_found other 1
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_secret,limit=1] run particle minecraft:note ~ ~1 ~ 0.6 0.6 0.6 10 70 force @a
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_secret,limit=1] run playsound minecraft:entity.experience_orb.pickup ambient @a ~ ~ ~ 100 2
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_secret,limit=1] run kill @e[sort=nearest,limit=1,type=item,tag=secret_item]
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_secret,limit=1] run tellraw @a ["",{"text":"Secret ","color":"#E1EFA9"},{"score":{"name":"!secrets_found","objective":"other"},"color":"#E1EFA9"},{"text":"/50 found!","color":"#E1EFA9"}]
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_secret,limit=1] run kill @s

#pick up food
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_food,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_food_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_food,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_food,limit=1] run tellraw @s {"text":"Picked up food","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_food,limit=1] as @a run scoreboard players add !food_count pl_items 10
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_food,limit=1] run kill @s

#pick up shield
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shield,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shield_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shield,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shield,limit=1] run tellraw @s {"text":"Picked up a shield","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shield,limit=1] if score !other_unlock pl_items matches ..-1 run scoreboard players set !other_unlock pl_items 0
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shield,limit=1] run kill @s

#pick up pistol
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_pistol,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_pistol_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_pistol,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
#execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_pistol,limit=1] run execute if score !stage mission matches ..712 if score !inmission mission matches 1.. if score !missions mission matches 4 run scoreboard players set !fail_reason other 10
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_pistol,limit=1] run tellraw @s {"text":"Picked up pistol ammo","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_pistol,limit=1] as @a run scoreboard players add !pistol_count pl_items 20
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_pistol,limit=1] run kill @s

#pick up gun
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_gun,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_gun_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_gun,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_gun,limit=1] run tellraw @s {"text":"Picked up machine gun ammo","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_gun,limit=1] as @a run scoreboard players add !gun_count pl_items 40
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_gun,limit=1] run kill @s

#pick up sniper
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sniper,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sniper_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sniper,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sniper,limit=1] run tellraw @s {"text":"Picked up sniper ammo","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sniper,limit=1] as @a run scoreboard players add !sniper_count pl_items 10
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sniper,limit=1] run kill @s

#pick up shotgun
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shotgun,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_shotgun_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shotgun,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shotgun,limit=1] run tellraw @s {"text":"Picked up shotgun ammo","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shotgun,limit=1] as @a run scoreboard players add !shotgun_count pl_items 20
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_shotgun,limit=1] run kill @s

#pick up sword
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sword,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_sword_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sword,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sword,limit=1] run tellraw @s {"text":"Picked up a sword","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sword,limit=1] if score !other_unlock pl_items matches ..0 run scoreboard players set !other_unlock pl_items 1
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_sword,limit=1] run kill @s

#pick up axe
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_axe,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_axe_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_axe,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_axe,limit=1] run tellraw @s {"text":"Picked up a axe","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_axe,limit=1] if score !other_unlock pl_items matches ..1 run scoreboard players set !other_unlock pl_items 2
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_axe,limit=1] run kill @s

#pick up flame
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_flame,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_flame_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_flame,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_flame,limit=1] run tellraw @s {"text":"Picked up flamethrower fuel","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_flame,limit=1] run scoreboard players set @s flame_timer 0
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_flame,limit=1] run scoreboard players add !flame_count pl_items 20
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_flame,limit=1] run kill @s

#pick up bomb
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_bomb,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_bomb_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_bomb,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_bomb,limit=1] run tellraw @s {"text":"Picked up sticky bombs ","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_bomb,limit=1] run scoreboard players add !bomb_count pl_items 4
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_bomb,limit=1] run kill @s

#pick up granade
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_grand,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_grand_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_grand,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_grand,limit=1] run tellraw @s {"text":"Picked up grenade ","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_grand,limit=1] run scoreboard players add !grand_count pl_items 6
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_grand,limit=1] run kill @s

#pick up potion power
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_power,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_power_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_power,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_power,limit=1] run tellraw @s {"text":"Picked up strength potion","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_power,limit=1] run scoreboard players add !power_count pl_items 3
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_power,limit=1] run kill @s

#pick up potion heal
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_heal,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_heal_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_heal,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_heal,limit=1] run tellraw @s {"text":"Picked up heal potion","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_heal,limit=1] run scoreboard players add !heal_count pl_items 4
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_heal,limit=1] run kill @s

#pick up armor
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_armor,limit=1] run summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["pickup_armor_used","pickup_any_used"]}
execute at @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_armor,limit=1] run data merge entity @e[type=item_frame,sort=nearest,distance=0..2,limit=1] {Invulnerable:1b,Invisible:1b,Fixed:1b,Item:{id:"minecraft:air",Count:1b}}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_armor,limit=1] run tellraw @s {"text":"Picked up armor","color":"dark_aqua"}
execute if entity @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_armor,limit=1] run effect give @s minecraft:absorption 1000000 4 true
execute as @e[distance=0..1.2,sort=nearest,tag=custom_feature,tag=pickup_armor,limit=1] run kill @s

#mission trigger
execute if score !inmission mission matches 1.. run function we:mission_trigger

#reset
item replace entity @s weapon.offhand with air
execute as @a[tag=verified] at @s run function we:give_items





